<?php
/**
 * @package     SP Simple Portfolio
 *
 * @copyright   Copyright (C) 2010 - 2018 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */



defined('_JEXEC') or die();
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('jquery.framework');

$doc = Factory::getDocument();
$doc->addStylesheet( Uri::root(true) . '/components/com_spsimpleportfolio/assets/css/spsimpleportfolio.css' );

//video
if($this->item->video) {
	$video = parse_url($this->item->video);

	switch($video['host']) {
		case 'youtu.be':
		$video_id 	= trim($video['path'],'/');
		$video_src 	= '//www.youtube.com/embed/' . $video_id;
		break;

		case 'www.youtube.com':
		case 'youtube.com':
		parse_str($video['query'], $query);
		$video_id 	= $query['v'];
		$video_src 	= '//www.youtube.com/embed/' . $video_id;
		break;

		case 'vimeo.com':
		case 'www.vimeo.com':
		$video_id 	= trim($video['path'],'/');
		$video_src 	= "//player.vimeo.com/video/" . $video_id;
	}
}
?>

<div id="sp-simpleportfolio" class="sp-simpleportfolio sp-simpleportfolio-view-item">
	<h2 class="sp-simpleportfolio-title"><?php echo $this->item->title; ?></h2>
	<div class="sp-simpleportfolio-meta">


		<?php
				// create conditions for client title and logo
				$client_title_conditon 		= (isset($this->item->client) && $this->item->client);
				$client_avatar_condition 	= (isset($this->item->client_avatar) && $this->item->client_avatar);

				if( $client_title_conditon || $client_avatar_condition){ ?>
					<span><strong><?php echo Text::_('COM_SPSIMPLEPORTFOLIO_PROJECT_CLIENT'); ?>:</strong></span>
					<div class="sp-simpleportfolio-client">
						<?php if( $client_avatar_condition ){ 
								$client_avatar_alt = ($client_title_conditon) ? $this->item->client : $this->item->title;
							?>
							<div class="sp-simpleportfolio-client-avatar">
								<img src="<?php echo Uri::root() . $this->item->client_avatar?>" alt="<?php echo $client_avatar_alt; ?>">
							</div>
						<?php } //client_avatar_condition ?>

						<?php if( $client_title_conditon ){ ?>
							<div class="sp-simpleportfolio-client-title">
								<?php echo $this->item->client; ?>
							</div>
						<?php } //client_title_conditon ?>
					</div> <!-- /.sp-simpleportfolio-client -->
			<?php } // has project client logo or title ?>


		<div class="sp-simpleportfolio-created">
			<span><strong><?php echo Text::_('COM_SPSIMPLEPORTFOLIO_PROJECT_DATE'); ?>: </strong></span>
			<?php echo HtmlHelper::_('date', $this->item->created_on, Text::_('DATE_FORMAT_LC3')); ?>
		</div>
		<div class="sp-simpleportfolio-tags">
			<span><strong><?php echo Text::_('COM_SPSIMPLEPORTFOLIO_PROJECT_TAGS'); ?>: </strong></span>
			<?php echo implode(', ', $this->item->tags); ?>
		</div>
		<?php if ($this->item->url) { ?>
		<div class="sp-simpleportfolio-link">
			<a target="_blank" href="<?php echo $this->item->url; ?>"><?php echo Text::_('COM_SPSIMPLEPORTFOLIO_VIEW_PROJECT'); ?></a>
		</div>
		<?php } ?>
	</div> <!-- //sp-simpleportfolio-meta -->
	<div class="sp-simpleportfolio-image">
		<?php if($this->item->video) { ?>
		<div class="sp-simpleportfolio-embed">
			<iframe src="<?php echo $video_src; ?>" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
		</div>
		<?php } else { ?>
		<?php if($this->item->image) { ?>
		<img class="sp-simpleportfolio-img" src="<?php echo $this->item->image; ?>" alt="<?php echo $this->item->title; ?>">
		<?php } else { ?>
		<img class="sp-simpleportfolio-img" src="<?php echo $this->item->thumbnail; ?>" alt="<?php echo $this->item->title; ?>">
		<?php } ?>
		<?php } ?>
	</div>

	<div class="sp-simpleportfolio-details clearfix">
		<div class="sp-simpleportfolio-description">
			<?php echo HTMLHelper::_('content.prepare', $this->item->description); ?>
		</div>
	</div>
</div>
